Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.persist.model
Class ClassEnhancerTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.sleepycat.persist.model.ClassEnhancerTask

All Implemented Interfaces:
  Cloneable

    public class ClassEnhancerTask

extends org.apache.tools.ant.Task

An `ant` task for running the `ClassEnhancer`.

`ClassEnhancerTask` objects are thread-safe. Multiple threads may safely call the methods of a shared `ClassEnhancerTask` object.

The class enhancer task element has no attributes. It may contain one or more nested `fileset` elements specifying the classes to be enhanced. The class files are replaced when they are enhanced, without changing the file modification date. For example:

     <taskdef name="enhance-persistent-classes"
              classname="com.sleepycat.persist.model.ClassEnhancerTask"
              classpath="${je.home}/lib/je-<version>.jar"/>

     <target name="main">
         <enhance-persistent-classes verbose="no">
             <fileset dir="classes"/>
         </enhance-persistent-classes>
     </target>

The verbose attribute may be specified as "true", "yes" or "on" (like other Ant boolean attributes) to print the name of each class file that is enhanced. The total number of class files enhanced will always be printed.

Author:
  Mark Hayes

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`ClassEnhancerTask()`

Method Summary
`void` | `addConfiguredFileset(org.apache.tools.ant.types.FileSet files)`
`void` | `execute()`
`void` | `setVerbose(boolean verbose)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassEnhancerTask

    public ClassEnhancerTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### addConfiguredFileset

    public void addConfiguredFileset(org.apache.tools.ant.types.FileSet files)

### setVerbose

    public void setVerbose(boolean verbose)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996,2008 Oracle. All rights reserved.